Retrieves all work order types
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Response Formats
application/json, text/json
Sample:
{
"id": "c87af371-ed0c-4e68-809c-8edb0d7b4b81",
"name": "sample string 2",
"sales_organization_id": "4787ee72-c06b-49f4-86dc-4dfc31eac635",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-03-06T23:27:28.5129647+00:00",
"code": "sample string 7"
}